Bug 217096 - dpms does not work after upgrade to FC6
dpms does not work after upgrade to FC6
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-11-23 21:50 EST by Sam Varshavchik
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-26 08:39:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.0.log (48.28 KB, text/plain)
2006-11-23 21:50 EST, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2006-11-23 21:50:58 EST

After upgrading to FC6, dpms does not appear to work on my laptop.  The laptop's
display never gets turned off, xscreensaver only turns the display screen to
black, but the backlight remains on.

I believe that I have xscreensaver configured correctly.  ~/.xscreensaver reads:

dpmsEnabled:    True
dpmsStandby:    0:05:00
dpmsSuspend:    0:06:00
dpmsOff:        0:07:00

This issue appears to be particular to this specific ATI chipset.  A different
machine with a different ATI chipset gets its display turned off correctly, in FC6.

Xorg.0.log attached.

lspci -n reports:

01:00.0 0300: 1002:4c66 (rev 01)

lspci -v -v reports:

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 [Mobility
FireGL 9000] (rev 01) (prog-if 00 [VGA])
	Subsystem: Uniwill Computer Corp Unknown device 2301
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+
SERR+ FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 64 (2000ns min), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 185
	Region 0: Memory at d0000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at b000 [size=256]
	Region 2: Memory at ffcf0000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at ffcc0000 [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
		Status: RQ=48 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW+ AGP3-
		Command: RQ=32 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x1
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 1 Sam Varshavchik 2006-11-23 21:50:59 EST
Created attachment 142026 [details]
Comment 2 Sam Varshavchik 2006-11-26 08:39:25 EST
Replacing xscreensaver with gnome-screensaver got dpms working, this is probably
some interaction issue between xscreensaver and gnome.

Note You need to log in before you can comment on or make changes to this bug.